Bug 1334295 - kopote and licensing problem.
Summary: kopote and licensing problem.
Status: CLOSED UPSTREAM
Alias: None
Product: Fedora
Classification: Fedora
Component: kopete (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: Unspecified Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Ngo Than
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: FE-Legal
TreeView+ depends on / blocked
 
Reported: 2016-05-09 10:56 UTC by mejiko
Modified: 2016-05-16 20:49 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-05-12 12:35:30 UTC
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
GNU Savannah 46741 None None None 2016-05-09 10:56 UTC
KDE Software Compilation 356326 None None None 2016-05-09 10:56 UTC

Description mejiko 2016-05-09 10:56:25 UTC
Hello.

kopote included non-free code.


Infomation:

File: kopete-15.12.3/protocols/irc/ksparser.h

License: Artistic License

Why non-free ?: Artistic License is BAD License. (https://fedoraproject.org/wiki/Licensing:Main?rd=Licensing#Bad_Licenses)

Note: Artistic License Version 2.0 is GOOD License. (https://fedoraproject.org/wiki/Licensing:Main?rd=Licensing#Good_Licenses)


This problem already reported. (Upstream and Gnewsense).

I suggest that resolve license problem.
Thanks.


Reference:

https://savannah.nongnu.org/bugs/?46741
https://bugs.kde.org/show_bug.cgi?id=356326

Comment 1 Rex Dieter 2016-05-09 12:08:31 UTC
I guess question for FE-Legal, even though this code is apparently unused, does merely including it in the source tarball rise to the level of making it not freely redistributable?

If not, I'm of a mind to close this issue here, and let upstream handle it.

Comment 2 Rex Dieter 2016-05-12 12:35:30 UTC
As threatened, closing here with the opinion that we are not directly affected, and continuing to poke upstream to fix it for posterity.

Comment 3 Tom "spot" Callaway 2016-05-16 20:49:05 UTC
Upstream relicensed this file to a Free license on 2016-05-16:

https://quickgit.kde.org/?p=kopete.git&a=commit&h=5db7f93d05d61a043d62884820faefb57de7e28b


Note You need to log in before you can comment on or make changes to this bug.